ELHtmlTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELHtmlTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.HtmlTag
              org.apache.strutsel.taglib.html.ELHtmlTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELHtmlTag

extends HtmlTag

Renders an HTML
element with appropriate language attributes if there is a current Locale available in the user's session.

This class is a subclass of the class `org.apache.struts.taglib.html.HtmlTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.HtmlTag
`lang, messages, xhtml`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELHtmlTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getLangExpr()` Getter method for "lang" tag attribute.
`String` | `getXhtmlExpr()` Getter method for "xhtml" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setLangExpr(String langExpr)` Setter method for "lang" tag attribute.
`void` | `setXhtmlExpr(String xhtmlExpr)` Setter method for "xhtml" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.HtmlTag
`doEndTag, getLang, getXhtml, renderHtmlStartElement, setLang, setXhtml`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELHtmlTag

    public ELHtmlTag()

Method Detail

### getLangExpr

    public String getLangExpr()

  Getter method for "lang" tag attribute. (Mapping set in associated BeanInfo class.)

### getXhtmlExpr

    public String getXhtmlExpr()

  Getter method for "xhtml" tag attribute. (Mapping set in associated BeanInfo class.)

### setLangExpr

    public void setLangExpr(String langExpr)

  Setter method for "lang" tag attribute. (Mapping set in associated BeanInfo class.)

### setXhtmlExpr

    public void setXhtmlExpr(String xhtmlExpr)

  Setter method for "xhtml" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `HtmlTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `HtmlTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.